import { SvelteComponent } from "svelte";
import type { init as baseInit, EChartsType as BaseEchartsType } from 'echarts';
import type { init as coreInit, EChartsType as CoreEchartsType } from 'echarts/core';
import type { EChartsOption, EChartsInitOpts } from 'echarts';
declare const __propDef: {
    props: {
        [x: string]: any;
        init: typeof baseInit | typeof coreInit;
        theme?: string | object | null | undefined;
        initOptions?: EChartsInitOpts | undefined;
        options: EChartsOption;
        chart?: (BaseEchartsType | CoreEchartsType) | undefined;
    };
    events: {
        click: CustomEvent<import("../constants/events").ECMouseEvent>;
        dblclick: CustomEvent<import("../constants/events").ECMouseEvent>;
        mousedown: CustomEvent<import("../constants/events").ECMouseEvent>;
        mousemove: CustomEvent<import("../constants/events").ECMouseEvent>;
        mouseover: CustomEvent<import("../constants/events").ECMouseEvent>;
        mouseout: CustomEvent<import("../constants/events").ECMouseEvent>;
        globalout: CustomEvent<import("../constants/events").ECMouseEvent>;
        contextmenu: CustomEvent<import("../constants/events").ECMouseEvent>;
        highlight: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        downplay: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        selectchanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        legendselectchanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        legendselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        legendunselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        legendinverseselect: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        legendscroll: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        datazoom: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        datarangeselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        timelinechanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        timelineplaychanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        restore: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        dataviewchanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        magictypechanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        geoselectchanged: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        geoselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        geounselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        axisareaselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        brush: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        brushend: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        brushselected: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        globalcursortaken: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        rendered: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
        finished: CustomEvent<import("echarts/types/dist/shared").CallbackDataParams>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ChartProps = typeof __propDef.props;
export type ChartEvents = typeof __propDef.events;
export type ChartSlots = typeof __propDef.slots;
export default class Chart extends SvelteComponent<ChartProps, ChartEvents, ChartSlots> {
}
export {};
